ttcn3_logmerge(1)

NAME
ttcn3_logmerge - TTCN-3 log file merge utility

SYNOPSIS
ttcn3_logmerge [ -o outfile ] file.log ...
or
ttcn3_logmerge -v

DESCRIPTION
This manual page is a quick reference for the TTCN-3 logmerge utility of the TTCN-3 Test Executor. The ttcn3_logmerge utility, which can be found in $TTCN3_DIR/bin, merges all files given in the command argument into a single output file. The output of ttcn3_logmerge is sorted based on the timestamps found in the log files.
It is useful for test suites that are run in parallel mode. It can merge the logs of different PTC into one single file based on the timestamps.

OPTIONS
Available command line switches are:

-o outfile
    Merges all input log files into outfile. If the file outfile exists its contents will be overwritten. This switch is optional, when omitted merged logs will be printed to standard output.

-v  Prints version and license key information and exits.

ENVIRONMENT VARIABLES

TTCN3_DIR
    The installation directory where the uncompressed binary package of TTCN-3 Test Executor can be found.

TTCN3_LICENSE_FILE
    It shall point to the file (NB: not to its directory) that contains the personalized license key for the current user or host.

BUGS
None known at this time

SEE ALSO
ttcn3_logformat(1), ttcn3_logfilter(1)

The User Documentation for the TTCN-3 Test Executor.

AUTHOR
This manpage is written by Csaba Koppany, Ericsson Telecom AB
Copyright (c) 2000-2021 Ericsson Telecom AB
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html